<?php
//session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

//ini_set('display_errors', 1);
//ini_set('display_startup_errors', 1);
//error_reporting(E_ALL);



include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');


$traza=(isset($_GET['traza']) && $_GET['traza']=='si');

$gestionLineas=($_SESSION['parametrosSGA']['GestionLineasTrabajo']=='S');
$gestionTurnos=($_SESSION['parametrosSGA']['GestionTurnosTrabajo']=='S');
$FichajesActivodEnTransformacion=($_SESSION['parametrosSGA']['FichajesActivodEnTransformacion']=='S');


$url=$_SERVER['REQUEST_URI'];
$partes=explode('?',$url);
$parametrosActuales=$partes[1];



if($FichajesActivodEnTransformacion) {

	if(isset($_GET['actividad']) && $_GET['actividad']) $actividad=$_GET['actividad'];
	if(isset($_GET['tipoOperacion']) && $_GET['tipoOperacion']) $tipoOperacion=$_GET['tipoOperacion']; else $tipoOperacion='-';
	if(isset($_GET['operacion']) && $_GET['operacion']) $operacion=$_GET['operacion']; else $operacion='-';
	
	if(isset($_GET['proceso']) && $_GET['proceso']) $proceso=$_GET['proceso'];
	if(isset($_GET['turno']) && $_GET['turno']) $turno=$_GET['turno']; else $turno='-';
	if(isset($_GET['turnoNombre']) && $_GET['turnoNombre']) $turnoNombre=$_GET['turnoNombre']; else $turnoNombre='-';
	if(isset($_GET['linea']) && $_GET['linea']) $linea=$_GET['linea']; else $linea='-';
	if(isset($_GET['lineaNombre']) && $_GET['lineaNombre']) $lineaNombre=$_GET['lineaNombre']; else $lineaNombre='-';
	
	//FichajesHistoricos(EMP,Usuario,Operacion,TipoOperacion,Linea,Turno)
	
	$nombreActividadSubtitulo='';
	if($turnoNombre) $nombreActividadSubtitulo.=$turnoNombre;
	if($turnoNombre && $lineaNombre) $nombreActividadSubtitulo.=' / ';
	if($lineaNombre) $nombreActividadSubtitulo.=$lineaNombre;
	
	$peticion='FichajesHistoricos#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$operacion.'#'.$tipoOperacion.'#'.$linea.'#'.$turno;
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($traza) {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	if(isset($resultado[0]['ListaCierres'])) $cierres=arreglaArrayPXMobileProxiumResult($resultado[0]['ListaCierres']);

	?>

    <h2>Histórico de productividad <?php if(isset($operacion) && $operacion) { ?>en <?php echo $operacion; ?><?php } ?></h2>
    
    <?php if($nombreActividadSubtitulo) { ?><p><?php echo $nombreActividadSubtitulo; ?></p><?php } ?>
    
    
    
    <?php if(is_array($cierres) && count($cierres)>0) { ?>
    
    	<p>Cierres realizados:</p>
        
        <table class="tablaFormateada">
        
            <tr>
                <th>Inicio</th>
                <th>Fin</th>
                <th>Operarios</th>
                <th>Cantidad</th>
                <th>Ritmo<br />
                (un/pers/h)</th>
          </tr>
            
            <?php foreach ($cierres as $cierre) { ?>
            
            <tr>
                <td><?php echo fechaNacional(fechaDesdeProxium($cierre['FechaInicioCierre'])); ?> <?php echo horaNacional($cierre['HoraInicioCierre']); ?></td>
                <td><?php echo fechaNacional(fechaDesdeProxium($cierre['FechaFinCierre'])); ?> <?php echo horaNacional($cierre['HoraFinCierre']); ?></td>
                <td><?php echo $cierre['CantidadOperarios']; ?></td>
                <td><?php echo $cierre['CantidadCierre']; ?></td>
                <td><?php echo number_format($cierre['RitmoCierre'],2,',','.'); ?></td>
            </tr>
            
            <?php } ?>
            
        </table>
    
    <?php } else { ?>
    
    	<p style="margin:80px">No constan cierres registrados.</p>
    
    <?php } ?>
    
    <p><input type="button" name="botonVolver" id="botonVolver" value="Volver" class="boton reducido"/></p>
    
            
    <script>
            
        $(document).ready(function() {
                    
            $('#botonVolver').on('click',function(){
            
                $('#popupCargando').show();
                window.location='fichajes-operarios.php?<?php echo $parametrosActuales; ?>';
                
            });
            
        });
                    
            
    </script>
	
	<?php
}
else include($rutaPhp.$rutaHtml.'/maqueta/error.php');

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
